TESTS=div
EXTRA_PROGRAMS=div
INCLUDES=-I$(top_srcdir)/crypto -I$(top_srcdir)/crypto/bn

## bn_knuth_SOURCES=bn_knuth.c
## bn_knuth_LDADD=-lcrypto
## bn_knuth_LDFLAGS=-L$(top_builddir)/crypto
## bn_knuth_DEPENDENCIES=$(top_builddir)/crypto/libcrypto.a

div_SOURCES=div.c
div_LDADD=-lcrypto
div_LDFLAGS=-L$(top_builddir)/crypto
div_DEPENDENCIES=$(top_builddir)/crypto/libcrypto.a
# div.o: div.c
#	$(COMPILE) -DDEBUG -c div.c -o div.o

## wei_mulw_SOURCES=wei_mulw.c
## wei_mulw_LDADD=-lcrypto
## wei_mulw_LDFLAGS=-L$(top_builddir)/crypto
## wei_mulw_DEPENDENCIES=$(top_builddir)/crypto/libcrypto.a

EXTRA_DIST=bn_knuth.c mont.doc wei_mulw.c

$(top_builddir)/crypto/libcrypto.a:
	cd $(top_builddir)/crypto; $(MAKE) $(MFLAGS) libcrypto.a
